﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.PointListDto>
@{
    ViewBag.Title = "Point";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">마블마블관리 / การจัดการหินอ่อนหินอ่อน</h5>
                    </div>
                </div>
                <div class="card-body table-responsive">
                    <div class="xp-alert mt-3">
                        <div class="alert alert-light" role="alert">
                            @using (Html.BeginForm("", "PointList", FormMethod.Post))
                            {
                                <div class="xp-alert">
                                    <div class="row justify-content-center">
                                        <div class="form-row">
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.DropDownList("drp", ViewBag.Search as SelectList, new { @class = "bg-white border form-control" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.TextBox("keyword", ViewBag.CurrentFilter as string, new { @class = "form-control border bg-white", @style = "width: 700px;" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <button type="submit" id="btnSearch" class="btn btn-info mb-2"><i class="icon-magnifier mr-2"></i>Search</button>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </div>
                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                        <div class="align-middle">
                            <span class="badge badge-primary badge-pill">전체 @ViewBag.Count 건</span>
                            <span class="badge badge-primary badge-pill">전체 합계 @ViewBag.Amount 점</span>
                            <div class="float-right">
                                @using (Html.BeginForm("ExportToExcel", "PointList", FormMethod.Post))
                                {
                                    <button type="submit" id="btnExport" style="margin-top:-10px;" class="btn btn-rounded btn-warning"><i class="icon-printer mr-2"></i> Export</button>
                                    <button type="button" id="btnDel" style="margin-top:-10px;" class="btn btn-rounded btn-danger"><i class="icon-trash mr-2"></i> Delete</button>
                                }
                            </div>
                        </div>
                        <div class="table-responsive m-b-30 mt-2">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr class="text-center">
                                        <th class="align-middle" style="width:50px;"><input type="checkbox" id="checkAll"></th>
                                        <th class="align-middle" style="width:150px;">회원아이디 / รหัสสมาชิก</th>
                                        <th class="align-middle" style="width:200px;">이름 / ชื่อ</th>
                                        <th class="align-middle">복숭아 내용 / เนื้อหาพีช</th>
                                        <th class="align-middle" style="width:150px;">복숭아 / ลูกพีช</th>
                                        <th class="align-middle" style="width:170px;">일시 / หยุด</th>
                                        <th class="align-middle" style="width:170px;">만료일 / วันหมดอายุ</th>
                                        <th class="align-middle" style="width:150px;">복숭아합 / ลูกพีช </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model != null && Model.Count() != 0)
                                    {
                                        foreach (var item in Model)
                                        {
                                            <tr>
                                                <td class=" text-center"> @Html.CheckBox("templateId", new { value = item.id, @class = "checkBox" })</td>
                                                <td> <a href="#" onclick="getSearch('@item.username')">@Html.DisplayFor(modelItem => item.username)</a></td>
                                                <td> @Html.DisplayFor(modelItem => item.fullname)</td>
                                                <td> @Html.DisplayFor(modelItem => item.name)</td>
                                                <td class=" text-right"> @Html.DisplayFor(modelItem => item.amount)</td>
                                                <td class=" text-center"> @Html.DisplayFor(modelItem => item.create_date)</td>
                                                <td class=" text-center"> @Html.DisplayFor(modelItem => item.exp_date)</td>
                                                <td class=" text-right"> @Html.DisplayFor(modelItem => item.total)</td>
                                            </tr>

                                        }
                                    }
                                    else
                                    {
                                        <tr class="text-center">
                                            <td colspan="8">
                                                No Data !!
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                            @{
                                if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                                {
                                    <div class="justify-content-center row">

                                        @Html.PagedListPager(Model, Page => Url.Action("Index", "PointList", new { Page }))

                                    </div>
                                }
                            }
                        </div>

                    </div>
                </div>
                    </div>
                </div>
    </div>
</div>
<script>
    $(function () {
        $("#liMember").addClass("active");
        $("#mePoint").addClass("active");
        $("#checkAll").click(function () {
            $(".checkBox").prop('checked',
                $(this).prop('checked'));
        });
        $("#btnDel").click(function () {
            var data = new Array();
            $('input:checkbox.checkBox').each(function () {
                if ($(this).prop('checked')) {
                    data.push($(this).val());
                }
            });
            //alert(selectedIDs); return;
            if (data == null || data == "") {
                alert("Please select at least 1 item.");
                return;
            }
            var options = {};
            options.url = "/PointList/Delete";
            options.type = "POST";
            options.data = JSON.stringify(data);
            options.contentType = "application/json";
            options.dataType = "json";
            options.success = function (msg) {
                alert(msg);
                location.reload();
            };
            options.error = function () {
                alert("Error while deleting the records!");
            };
            $.ajax(options);

        });
    });
    function getSearch(username) {
        $("#keyword").val(username);
        $("#drp").val("username");
        $("#btnSearch").click();
        //alert(id);
    }
</script>




